## org.springframework.remoting.jaxrpc
Class JaxRpcPortProxyFactoryBean

    java.lang.Object
      org.springframework.remoting.jaxrpc.LocalJaxRpcServiceFactory
          org.springframework.remoting.jaxrpc.JaxRpcPortClientInterceptor
              org.springframework.remoting.jaxrpc.JaxRpcPortProxyFactoryBean

All Implemented Interfaces:
  Advice, Interceptor, MethodInterceptor, Aware, BeanClassLoaderAware, FactoryBean<Object>, InitializingBean

Deprecated. in favor of JAX-WS support in `org.springframework.remoting.jaxws`

    @Deprecated
    public class JaxRpcPortProxyFactoryBean

extends JaxRpcPortClientInterceptor
implements FactoryBean<Object>, BeanClassLoaderAware

`FactoryBean` for a specific port of a JAX-RPC service. Exposes a proxy for the port, to be used for bean references. Inherits configuration properties from `JaxRpcPortClientInterceptor`.

This factory is typically used with an RMI service interface. Alternatively, this factory can also proxy a JAX-RPC service with a matching non-RMI business interface, i.e. an interface that mirrors the RMI service methods but does not declare RemoteExceptions. In the latter case, RemoteExceptions thrown by the JAX-RPC stub will automatically get converted to Spring's unchecked RemoteAccessException.

If exposing the JAX-RPC port interface (i.e. an RMI interface) directly, setting "serviceInterface" is sufficient. If exposing a non-RMI business interface, the business interface needs to be set as "serviceInterface", and the JAX-RPC port interface as "portInterface".

Since:
  15.12.2003
Author:
  Juergen Hoeller
See Also:
  `JaxRpcPortClientInterceptor.setServiceInterface(java.lang.Class)`, `JaxRpcPortClientInterceptor.setPortInterface(java.lang.Class)`, `LocalJaxRpcServiceFactoryBean`

Field Summary

Fields inherited from class org.springframework.remoting.jaxrpc.LocalJaxRpcServiceFactory
`logger`

Constructor Summary
`JaxRpcPortProxyFactoryBean()` Deprecated.

Method Summary
`void` `afterPropertiesSet()` Deprecated. Prepares the JAX-RPC service and port if the "lookupServiceOnStartup" is turned on (which it is by default).
`Object` `getObject()` Deprecated. Return an instance (possibly shared or independent) of the object managed by this factory.
`Class<?>` `getObjectType()` Deprecated. Return the type of object that this FactoryBean creates, or `null` if not known in advance.
`boolean` `isSingleton()` Deprecated. Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?
`void` `setBeanClassLoader(ClassLoader classLoader)` Deprecated. Callback that supplies the bean `class loader` to a bean instance.

Methods inherited from class org.springframework.remoting.jaxrpc.JaxRpcPortClientInterceptor

`addCustomProperty, alwaysUseJaxRpcCall, doInvoke, doInvoke, getCustomPropertyMap, getEndpointAddress, getJaxRpcService, getPassword, getPortInterface, getPortName, getPortQName, getPortStub, getServiceInterface, getUsername, handleRemoteException, invoke, isConnectFailure, isMaintainSession, isPrepared, performJaxRpcCall, postProcessJaxRpcCall, postProcessPortStub, prepare, prepareJaxRpcCall, preparePortStub, reset, setCustomProperties, setCustomPropertyMap, setEndpointAddress, setJaxRpcService, setLookupServiceOnStartup, setMaintainSession, setPassword, setPortInterface, setPortName, setRefreshServiceAfterConnectFailure, setServiceInterface, setUsername`

Methods inherited from class org.springframework.remoting.jaxrpc.LocalJaxRpcServiceFactory

`createJaxRpcService, createService, createServiceFactory, getJaxRpcServiceInterface, getJaxRpcServiceProperties, getNamespaceUri, getQName, getServiceFactory, getServiceFactoryClass, getServiceName, getServicePostProcessors, getWsdlDocumentUrl, postProcessJaxRpcService, setJaxRpcServiceInterface, setJaxRpcServiceProperties, setNamespaceUri, setServiceFactory, setServiceFactoryClass, setServiceName, setServicePostProcessors, setWsdlDocumentUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxRpcPortProxyFactoryBean

    public JaxRpcPortProxyFactoryBean()

  Deprecated.

Method Detail

### setBeanClassLoader

    public void setBeanClassLoader(ClassLoader classLoader)

  Deprecated.
  Description copied from interface: `BeanClassLoaderAware`
  Callback that supplies the bean `class loader` to a bean instance.

  Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean's` `InitializingBean.afterPropertiesSet()` method or a custom init-method.

  Specified by:
    `setBeanClassLoader` in interface `BeanClassLoaderAware`
  Parameters:
    `classLoader` - the owning class loader; may be `null` in which case a default `ClassLoader` must be used, for example the `ClassLoader` obtained via `ClassUtils.getDefaultClassLoader()`

### afterPropertiesSet

    public void afterPropertiesSet()

  Deprecated.
  Description copied from class: `JaxRpcPortClientInterceptor`
  Prepares the JAX-RPC service and port if the "lookupServiceOnStartup" is turned on (which it is by default).

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `JaxRpcPortClientInterceptor`

### getObject

    public Object getObject()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Return an instance (possibly shared or independent) of the object managed by this factory.

  As with a `BeanFactory`, this allows support for both the Singleton and Prototype design pattern.

  If this FactoryBean is not fully initialized yet at the time of the call (for example because it is involved in a circular reference), throw a corresponding `FactoryBeanNotInitializedException`.

  As of Spring 2.0, FactoryBeans are allowed to return `null` objects. The factory will consider this as normal value to be used; it will not throw a FactoryBeanNotInitializedException in this case anymore. FactoryBean implementations are encouraged to throw FactoryBeanNotInitializedException themselves now, as appropriate.

  Specified by:
    `getObject` in interface `FactoryBean<Object>`
  Returns:
    an instance of the bean (can be `null`)
  See Also:
    `FactoryBeanNotInitializedException`

### getObjectType

    public Class<?> getObjectType()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Return the type of object that this FactoryBean creates, or `null` if not known in advance.

  This allows one to check for specific types of beans without instantiating objects, for example on autowiring.

  In the case of implementations that are creating a singleton object, this method should try to avoid singleton creation as far as possible; it should rather estimate the type in advance. For prototypes, returning a meaningful type here is advisable too.

  This method can be called before this FactoryBean has been fully initialized. It must not rely on state created during initialization; of course, it can still use such state if available.

  NOTE: Autowiring will simply ignore FactoryBeans that return `null` here. Therefore it is highly recommended to implement this method properly, using the current state of the FactoryBean.

  Specified by:
    `getObjectType` in interface `FactoryBean<Object>`
  Returns:
    the type of object that this FactoryBean creates, or `null` if not known at the time of the call
  See Also:
    `ListableBeanFactory.getBeansOfType(java.lang.Class<T>)`

### isSingleton

    public boolean isSingleton()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?

  NOTE: If a FactoryBean indicates to hold a singleton object, the object returned from `getObject()` might get cached by the owning BeanFactory. Hence, do not return `true` unless the FactoryBean always exposes the same reference.

  The singleton status of the FactoryBean itself will generally be provided by the owning BeanFactory; usually, it has to be defined as singleton there.

  NOTE: This method returning `false` does not necessarily indicate that returned objects are independent instances. An implementation of the extended `SmartFactoryBean` interface may explicitly indicate independent instances through its `SmartFactoryBean.isPrototype()` method. Plain `FactoryBean` implementations which do not implement this extended interface are simply assumed to always return independent instances if the `isSingleton()` implementation returns `false`.

  Specified by:
    `isSingleton` in interface `FactoryBean<Object>`
  Returns:
    whether the exposed object is a singleton
  See Also:
    `FactoryBean.getObject()`, `SmartFactoryBean.isPrototype()`